# $Id: ipw3945-firmware.spec 4263 2006-03-30 11:39:32Z thias $
# Authority: matthias
# Dist: nodist

Summary: Firmware for Intel® PRO/Wireless 3945 network adaptors
Name: ipw3945-firmware
Version: 1.13
Release: 2
License: Distributable
Group: System Environment/Kernel
URL: http://bughost.org/ipw3945/

Source0: http://bughost.org/ipw3945/ucode/ipw3945-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
# Require the binary user space regulatory daemon, so that installing this
# firmware package is enough
Requires: ipw3945d
Requires: kernel-module-ipw3945

%description
The file ipw3945.ucode provided in this package is required to be present on
your system in order for the Intel PRO/Wireless 3945ABG Network Connection
Adapater driver for Linux (ipw3945) to be able to operate on your system.


%prep
%setup -n ipw3945-ucode-%{version}


%build


%install
%{__rm} -rf %{buildroot}
%{__install} -D -p -m 0644 ipw3945.ucode %{buildroot}/lib/firmware/ipw3945.ucode
mkdir -p %{buildroot}/etc/firmware/
cd %{buildroot}/etc/firmware/
ln -s ../../lib/firmware/ipw3945.ucode .

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc LICENSE.ipw3945-ucode README.ipw3945-ucode
/lib/firmware/ipw3945.ucode
/etc/firmware/ipw3945.ucode

%changelog
* Tue Oct 03 2006 Troy Dawson <dawson@fnal.gov> 1.13-2
- Added Requires: kernel-module-ipw3945

* Wed Jun 27 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- modified package to have also /etc/firmware in
* Thu Mar 30 2006 Matthias Saou <http://freshrpms.net> 1.13-1 - 4263/thias
- Initial RPM package, based on ipw2200-firmware.

